#pragma once
#include "TextElement.h"
#include <xcb/xcb.h>

class XcbTextInterface
{
public:
    static xcb_gcontext_t GetFontGC(xcb_connection_t* connection,
            xcb_screen_t*screen, xcb_window_t window, const char*font_name,
            const TextElement* textElement);

    static void AddTextElement(xcb_connection_t* connection,
            xcb_screen_t* screen, xcb_window_t window,
            const TextElement* textElement);

};

